### Function

# Soup MessageBody new

#### Declaration [src]

    SoupMessageBody*
    soup_message_body_new (
      void
    )

#### Description [src]

Creates a new `SoupMessageBody`.

`SoupMessage` uses this internally; you will not normally need to call it yourself.

#### Return value

Type: `SoupMessageBody`

A new `SoupMessageBody`.

The caller of the function takes ownership of the data, and is responsible for freeing it.